<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="bulma.min.css">
		<meta charset="UTF-8"/>
		<title>API/Casoft Run</title>
	</head>
	<body class="container">
		<nav class="level">
			<figure class="image is-128x128">
				<img src="logo/picasoft.svg">
			</figure>
			<div class="level-item">
				<h1 class="title is-1">API/Casoft Run</h1>
			</div>
			<svg class="image is-128x128"></svg>
		</nav>
		<div class="notification is-info">
			<h2 class="title is-2">Informations Diverses</h2>
			<div class="columns">
				<div class="column">
					<h4 class="title">Lieu :</h4><p class="subtitle">FA400</p>
				</div>
				<div class="column is-one-quarter">
					<h4 class="title">Horaires :</h4><p class="subtitle">9h-12h et 13h30-17h30</p>
				</div>
				<div class="column is-one-quarter">
					<h4 class="title">Intervenants :</h4>
					<ul class="subtitle">
						<li><a href="mailto:antoine.lima@hds.utc.fr">Antoine Lima</a></li>
						<li><a href="mailto:apirun@oiseauroch.fr">Tobias Ollive</a></li>
						<li><a href="mailto:romain.de-laage-de-bellefaye@etu.utc.fr">Romain De Laage</a></li>
					</ul>
				</div>
				<div class="column is-one-third">
					<h4 class="title">Ressources :</h4>
					<ul class="subtitle">
						<li><a href="https://wiki.picasoft.net/">Wiki de Picasoft</a></li>
						<li><a href="https://team.picasoft.net/pi4">Équipe Mattermost de l'API</a></li>
						<li><a href="https://team.picasoft.net/ail/channels/hebergement">Équipe Mattermost sur l'autohébergement</a></li>
					</ul>
				</div>
			</div>
		</div>
		<div class="notification is-success">
			<h2 class="title is-2">Programme</h2>
			<div class="container box">
				<div class="columns">
					<div class="column">
						<h3 class="title">Lundi Matin</h3>
						<ul>
							<li>Présentation de Picasoft et de l'Api (30')</li>
							<li><a href="https://librecours.net/module/sr/lj02">Rappels Linux (30')</a></li>
							<li><a href="https://librecours.net/module/sr/vps01">Création d'un VPS (60')</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/ssh01">Compléments SSH (30')</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/ssh02">Sécuriser SSH (30')</a></li>
						</ul>
					</div>
					<div class="column">
						<h3 class="title">Lundi Après-Midi</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/web01">Installation de Nginx (60')</a></li>
							<li><a href="https://librecours.net/module/bdd/lap4">Introduction à HTML et PHP (90')</a></li>
							<li><a href="https://librecours.net/module/web/html01">HTML (30')</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/projet-run/projet-run_1.xhtml">Projet (60')</a></li>
						</ul>
					</div>
				</div>
				<div class="message is-warning">
					<p class="message-header">Pour aller plus loin :</p>
					<ul class="message-body">
						<li><a href="https://librecours.net/module/culture/fonctionnement-web">Fonctionnement du Web</a></li>
						<li><a href="https://librecours.net/module/web/css01/index.xhtml">Introduction au CSS</a></li>
						<li><a href="https://bulma.io/documentation/">Bulma comme framework CSS</a></li>
						<li><a href="https://librecours.net/module/bdd/lap3/">Requêtes HTTP</a></li>
						<li>Étude de Node.js ou Django pour remplacer PHP</li>
					</ul>
				</div>
			</div>
			<div class="container box">
				<div class="columns">
					<div class="column">
						<h3 class="title">Mardi Matin</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/dns01">DNS (60')</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/php01">PHP (30')</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/web02">Nginx multi-site</a></li>
							<!--li><a href="https://librecours.net/module/picasoft/run/pg01">PostgreSQL</a></li-->
							<li><a href="https://librecours.net/module/bdd/pos1/">PostgreSQL sous Linux</a></li>
							<li><a href="https://librecours.net/module/bdd/lap5/">Utilisation de PostgreSQL avec PHP</a></li>
						</ul>
					</div>
					<div class="column">
						<h3 class="title">Mardi Après-Midi</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/projet-run/projet-run_2.xhtml">Projet</a></li>
						</ul>
					</div>
				</div>
				<div class="message is-warning">
					<p class="message-header">Pour aller plus loin :</p>
					<ul class="message-body">
						<li><a href="https://librecours.net/module/picasoft/run/pg02">Backups PostgreSQL</a></li>
						<li>DNSSEC</li>
						<li>CORS, XSS</li>
						<li>Injections SQL</li>
					</ul>
				</div>
			</div>
			<div class="container box">
				<div class="columns">
					<div class="column">
						<h3 class="title">Mercredi Matin</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/dk01">Bases de Docker</a></li>
							<li><a href="https://librecours.net/module/picasoft/run/dk02">Bonnes pratiques de Docker</a></li>
						</ul>
					</div>
					<div class="column">
						<h3 class="title">Mercredi Après-Midi</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/projet-run/projet-run_3.xhtml">Projet</a></li>
						</ul>
					</div>
				</div>
				<div class="message is-warning">
					<p class="message-header">Pour aller plus loin :</p>
					<ul class="message-body">
						<li>Utilisation de framework d'autohébergement (Yunohost, Sandstorm, Cloudron, ...)</li>
					</ul>
				</div>
			</div>
			<div class="container box">
				<div class="columns">
					<div class="column">
						<h3 class="title">Jeudi Matin</h3>
						<div class="columns">
							<div class="column">
								<h6 class="title is-6">Approndir Docker</h6>
								<ul>
									<li><a href="https://librecours.net/module/picasoft/run/exosup">Exercices Supplémentaires</a></li>
									<li>Construire ses propres images</li>
									<li>Traefic</li>
								</ul>
							</div>
							<div class="column title is-2">ou</div>
							<div class="column">
								<h6 class="title is-6">Approndir NLPP</h6>
								<ul>
									<li><a href="https://librecours.net/module/picasoft/run/exosup">Exercices Supplémentaires</a></li>
								</ul>
							</div>
						</div>
					</div>
					<div class="column">
						<h3 class="title">Jeudi Après-Midi</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/projet-run/projet-run_4.xhtml">Projet</a></li>
						</ul>
					</div>
				</div>
				<div class="message is-warning">
					<p class="message-header">Pour aller plus loin :</p>
					<ul class="message-body">
						<li><a href="https://certbot.eff.org/">Let's Encrypt pour du HTTPS</a></li>
						<li><a href="https://leimao.github.io/blog/Tmux-Tutorial/">Multiplexage de terminaux</a></li>
						<li><a href="https://enix.io/fr/blog/cherie-j-ai-retreci-docker-part1">Contrôler la taille d'une image docker</a></li>
					</ul>
				</div>
			</div>
			<div class="container box">
				<div class=columns>
					<div class="column">
						<h3 class="title">Vendredi</h3>
						<ul>
							<li><a href="https://librecours.net/module/picasoft/run/projet-run/projet-run_5.xhtml">Projet (60')</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<footer class="footer">
			<nav class="level">
				<p class="level-item has-text-centered">
					<a href="https://utc.fr/">
						<img class="image is-128x128" src="logo/utc.svg" alt="Logo UTC">
					</a>
				</p>
				<p class="level-item has-text-centered">
					<a href="https://picasoft.net/">
						<img class="image is-128x128" src="logo/picasoft.svg" alt="Logo Picasoft">
					</a>
				</p>
				<p class="level-item has-text-centered">
					<a href="https://librecours.net/">
						<img class="image is-128x128" src="logo/librecours.png" alt="Logo Librecours">
					</a>
				</p>
			</nav>
		</footer>
	</body>
</html>
